Package org.apache.storm.sql.runtime.datasource.socket

# Class SocketDataSourcesProvider

java.lang.Object
org.apache.storm.sql.runtime.datasource.socket.SocketDataSourcesProvider

All Implemented Interfaces:
  `DataSourcesProvider`

public class SocketDataSourcesProvider extends Object implements DataSourcesProvider
Create a Socket data source based on the URI and properties. The URI has the format of socket://[host]:[port]. Both of host and port are mandatory.

Note that it connects to given host and port, and receive the message if it's used for input source, and send the message if it's used for output data source.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketDataSourcesProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ISqlStreamsDataSource`
  `constructStreams(URI uri, String inputFormatClass, String outputFormatClass, Properties properties, List<FieldInfo> fields)`
  Construct a new data source for streams mode.
  `String`
  `scheme()`
  Get the scheme of the data source.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SocketDataSourcesProvider

    public SocketDataSourcesProvider()

- ## Method Details

  - ### scheme

    public String scheme()
    Description copied from interface: `DataSourcesProvider`
    Get the scheme of the data source.
    Specified by:
      `scheme` in interface `DataSourcesProvider`
    Returns:
      the scheme of the data source

  - ### constructStreams

    public ISqlStreamsDataSource constructStreams(URI uri, String inputFormatClass, String outputFormatClass, Properties properties, List<FieldInfo> fields)
    Description copied from interface: `DataSourcesProvider`
    Construct a new data source for streams mode.
    Specified by:
      `constructStreams` in interface `DataSourcesProvider`
    Parameters:
      `uri` - The URI that specifies the data source. The format of the URI is fully customizable.
      `inputFormatClass` - the name of the class that deserializes data. It is null when unspecified.
      `outputFormatClass` - the name of the class that serializes data. It is null when unspecified.
      `fields` - The name of the fields and the schema of the table.